Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057644 - engine: extend NFS preallocated disk only extends the virtual size (extend is thinprovision).
Summary: engine: extend NFS preallocated disk only extends the virtual size (extend is...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On: 1097843
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 14:31 UTC by Dafna Ron
Modified: 2016-03-10 10:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-10 10:30:46 UTC
oVirt Team: Storage
ylavi: ovirt-4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)
logs and screenshots (deleted)
2014-01-24 14:31 UTC, Dafna Ron
no flags Details

Description Dafna Ron 2014-01-24 14:31:56 UTC
Created attachment 854987 [details]
logs and screenshots

Description of problem:

If I create a preallocated disk the actual and virtual size are the same. 
if I extend that disk, the virtual size changes but the actual size remains the same  - so the extend is always done as thin provision instead of extending by selected allocation by the user. 

Version-Release number of selected component (if applicable):

ovirt-engine-backend-3.4.0-0.5.beta1.el6.noarch

How reproducible:

100%

Steps to Reproduce:
1. create a preallocated 3 GB disk
2. extend the disk by 4 GB
3. 

Actual results:

although the disk is preallocated, the extend is done as thin provision 

Expected results:

if the disk is preallocated we need to make sure that the extend will be the same. 

Additional info:

Please note, this might be related to bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=1057622

Comment 1 Itamar Heim 2014-01-26 08:12:07 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Ayal Baron 2014-02-17 16:22:25 UTC
(In reply to Dafna Ron from comment #0)
> Created attachment 854987 [details]
> logs and screenshots
> 
> Description of problem:
> 
> If I create a preallocated disk the actual and virtual size are the same. 
> if I extend that disk, the virtual size changes but the actual size remains
> the same  - so the extend is always done as thin provision instead of
> extending by selected allocation by the user. 
> 
> Version-Release number of selected component (if applicable):
> 
> ovirt-engine-backend-3.4.0-0.5.beta1.el6.noarch
> 
> How reproducible:
> 
> 100%
> 
> Steps to Reproduce:
> 1. create a preallocated 3 GB disk
> 2. extend the disk by 4 GB
> 3. 
> 
> Actual results:
> 
> although the disk is preallocated, the extend is done as thin provision 
> 
> Expected results:
> 
> if the disk is preallocated we need to make sure that the extend will be the
> same. 
> 
> Additional info:
> 
> Please note, this might be related to bug: 
> https://bugzilla.redhat.com/show_bug.cgi?id=1057622

what storage type were you using? (nfs/iscsi/...)

Comment 3 Dafna Ron 2014-02-17 16:43:10 UTC
first test day - nfs
second test day - iscsi 
i think this was opened on first test day so nfs.

Comment 4 Allon Mureinik 2014-05-15 13:12:43 UTC
Won't the RFE in bug 1097843 invalidate the scenario of this BZ?

Comment 5 Federico Simoncelli 2014-05-15 16:28:16 UTC
(In reply to Allon Mureinik from comment #4)
> Won't the RFE in bug 1097843 invalidate the scenario of this BZ?

Yes, anyway I wonder what's wrong at the moment. This case was supposed to be covered.

Comment 6 Allon Mureinik 2014-05-15 17:29:36 UTC
(In reply to Federico Simoncelli from comment #5)
> (In reply to Allon Mureinik from comment #4)
> > Won't the RFE in bug 1097843 invalidate the scenario of this BZ?
> 
> Yes, anyway I wonder what's wrong at the moment. This case was supposed to
> be covered.
Probably not worth the effort to investigate, as we're going to kill this off anyway.

Postponing till after this RFE is resolved, after which this BZ will be reduced to validating that the flow did not break.

Comment 7 Sandro Bonazzola 2015-09-04 09:03:08 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 8 Sandro Bonazzola 2015-10-02 10:31:50 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained
anymore.
Please check if this bug is still relevant in oVirt 3.5.4 and reopen if still
an issue.

Comment 9 Red Hat Bugzilla Rules Engine 2015-10-19 10:58:05 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 10 Yaniv Lavi 2015-10-29 12:04:09 UTC
In oVirt testing is done on single stream by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.

Comment 11 Yaniv Kaul 2016-03-10 10:30:46 UTC
Closing old tickets, in medium/low severity. If you believe it should be re-opened, please do so and add justification.


Note You need to log in before you can comment on or make changes to this bug.